Package org.apache.sling.commons.testing.integration

# Class HttpTest

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
org.apache.sling.commons.testing.integration.HttpTestBase
org.apache.sling.commons.testing.integration.HttpTest

All Implemented Interfaces:
  `junit.framework.Test`

public class HttpTest extends HttpTestBase
Helper class for HTTP tests, extends HttpTestBase and adds a few utilities that we commonly use in our integration tests. Meant to be used as a helper class in JUnit4-style tests, as we gradually move away from JUnit3 style.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sling.commons.testing.integration.HttpTestBase

`HttpTestBase.TestNode`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`displayUrl`
`protected String`
`scriptPath`
`protected String`
`testText`

### Fields inherited from class org.apache.sling.commons.testing.integration.HttpTestBase

`CONTENT_TYPE_CSS, CONTENT_TYPE_DONTCARE, CONTENT_TYPE_HTML, CONTENT_TYPE_JS, CONTENT_TYPE_JSON, CONTENT_TYPE_PLAIN, CONTENT_TYPE_XML, DEFAULT_EXT, DEFAULT_READINESS_MEDIA_TYPE, EXECUTE_RESOURCE_TYPE, HTTP_BASE_URL, HTTP_METHOD_GET, HTTP_METHOD_POST, HTTP_URL, httpClient, MAX_READY_URL_INDEX, PROPERTY_SKIP_STARTUP_CHECK, READINESS_MEDIA_TYPE_PROP, READY_TIMEOUT_SECONDS, READY_URL_PROP_PREFIX, SERVLET_CONTEXT, SLING_POST_SERVLET_CREATE_SUFFIX, SLING_RESOURCE_TYPE, TEST_PATH, testClient, urlsToDelete, WEBDAV_BASE_URL`

## Constructor Summary

Constructors
Constructor
Description
`HttpTest()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`assertContains(String content, String expected)`
`static void`
`assertNotContains(String content, String notExpected)`
`org.apache.commons.httpclient.HttpClient`
`getHttpClient()`
`String`
`getScriptPath()`
`SlingIntegrationTestClient`
`getTestClient()`
`void`
`setScriptPath(String scriptPath)`
`void`
`setUp()`
Making this public here, changing the base class to public is not convenient as many derived classes override it as protected.
`void`
`tearDown()`
Making this public here, changing the base class to public is not convenient as many derived classes override it as protected.
`String`
`uploadTestScript(String localFilename, String filenameOnServer)`

### Methods inherited from class org.apache.sling.commons.testing.integration.HttpTestBase

`assertHttpStatus, assertHttpStatus, assertJavascript, assertJavascript, assertPostStatus, executeScript, executeScript, getContent, getContent, getContent, getContent, getDefaultCredentials, getResponseBodyAsStream, isBundleVersionAtLeast, removeEndingSlash, setReadinessContentType, slingServerReady, uploadTestScript, waitForSlingStartup`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### scriptPath

protected String scriptPath

### testText

protected String testText

### displayUrl

protected String displayUrl

## Constructor Details

### HttpTest

public HttpTest()

## Method Details

### uploadTestScript

public String uploadTestScript(String localFilename, String filenameOnServer) throws IOException

Throws:
  `IOException`

### assertContains

public static void assertContains(String content, String expected)

### assertNotContains

public static void assertNotContains(String content, String notExpected)

### setScriptPath

public void setScriptPath(String scriptPath)

### getScriptPath

public String getScriptPath()

### getTestClient

public SlingIntegrationTestClient getTestClient()

### getHttpClient

public org.apache.commons.httpclient.HttpClient getHttpClient()

### setUp

public void setUp() throws Exception
Making this public here, changing the base class to public is not convenient as many derived classes override it as protected.

Overrides:
  `setUp` in class `HttpTestBase`
Throws:
  `Exception`

### tearDown

public void tearDown() throws Exception
Making this public here, changing the base class to public is not convenient as many derived classes override it as protected.

Overrides:
  `tearDown` in class `HttpTestBase`
Throws:
  `Exception`